Subject: bug#66841: closed (Re: [PATCH 1/1] gnu: Add linux-libre 6.6.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 14 Nov 2023 05:13:02 +0000

Your bug report

#66841: [PATCH 0/1] WIP: linux-libre 6.6

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66841: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66841
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH 1/1] gnu: Add linux-libre 6.6.
From: Leo Famulari <[email-masked]>
To: Wilko Meyer <[email-masked]>
Cc: [email-masked]
Date: Tue, 14 Nov 2023 00:11:14 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Oct 31, 2023 at 01:29:00AM +0100, Wilko Meyer wrote:
> * gnu/packages/linux.scm (linux-libre-6.6-version, linux-libre-6.6-gnu-revision,
> deblob-scripts-6.6, linux-libre-6.6-pristine-source, linux-libre-6.5-source,
> linux-libre-headers-6.6, linux-libre-6.6): New variables.
> * gnu/packages/linux.scm (linux-libre-with-bpf): Updated to 6.6.
> * gnu/packages/aux-files/linux-libre/6.6-x86_64.conf: New file.
> * Makefile.am (AUX_FILES): Add 6.6-x86_64.conf.
> 
> Change-Id: I17d4b062edf24dfc6fb92d10381cd7997a929ac7

I pushed your revised patch as 307aff3ec8db056f2c724ba2afadb3ec05b05cdb

Thank you!

Subject: [PATCH 0/1] WIP: linux-libre 6.6
From: Wilko Meyer <[email-masked]>
To: [email-masked]
Cc: Wilko Meyer <[email-masked]>, [email-masked]
Date: Tue, 31 Oct 2023 01:26:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Leo,

I started packaging linux-libre 6.6. However, the patch series is still
WIP as I still have to update the configuration for other ISA than
x86_64, which will hopefully be finished soon, so I can send a second
revision of this patch set including the .conf files for the remaining
other architectures.

Wilko Meyer (1):
  gnu: Add linux-libre 6.6.

 Makefile.am                                   |     2 +
 .../aux-files/linux-libre/6.6-x86_64.conf     | 12009 ++++++++++++++++
 gnu/packages/linux.scm                        |    51 +-
 3 files changed, 12053 insertions(+), 9 deletions(-)
 create mode 100644 gnu/packages/aux-files/linux-libre/6.6-x86_64.conf

-- 
2.41.0